Bug 149438 - No limit to the integer value for "Quorum Votes" text box
No limit to the integer value for "Quorum Votes" text box
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 18:42 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-18 14:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-02-22 18:42:47 EST
Description of problem:

At “Quorum Votes” in the Node Properites dialog box, there is no limit
to the integer value that can be entered. There is, however, a check
for non-integer input that causes a the following error message to be
diaplayed: 
Valid values for the votes field are integer values between zero and
255, or nothing, which defaults to 1.

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.5-1.0


How reproducible:


Steps to Reproduce:
1. Navigate: Cluster -> Cluster Nodes -> Add Cluster Node 
   -OR-
   Cluster -> Cluster Nodes -> <node name> Edit Node Properites
2. At the Node Properties dialog box, enter an out-of-range integer
   into the "Quorum Votes" text box:
   256
3. Save configuration file to /etc/cluster/cluster.conf.
4. Observe the Quoarum Votes parameter "256" in
   /etc/cluster/cluster.conf.
  
Actual results:
Integer out of range of the 0-255 value is accepted without admonition.

Expected results:
Expected a warning message dialog box to be displayed similar to the
admonition for entering a non-integer parameter into the "Quorum
Votes" text box.

Additional info:
Comment 1 Jim Parsons 2005-03-01 12:26:41 EST
will fix. - 5 digit limit
Comment 2 Jim Parsons 2005-03-28 16:57:27 EST
Fixed in 0.9.20-1.0
Comment 3 Corey Marthaler 2005-04-18 14:19:41 EDT
fix verified.

Note You need to log in before you can comment on or make changes to this bug.